/*
 * Copyright (c) 2000 David I. Bell
 * Permission is granted to use, distribute, or modify this source,
 * provided that this copyright notice remains intact.
 *
 * Definitions to use releaseable memory allocation.
 */

#ifndef	CMALLOC_H
#define	CMALLOC_H


#ifdef	malloc
#undef	malloc
#endif

#ifdef	realloc
#undef	realloc
#endif

#ifdef	calloc
#undef	calloc
#endif

#ifdef	free
#undef	free
#endif


#define	malloc(n)	CmAlloc((unsigned int) (n))
#define	realloc(p,n)	CmRealloc((char	*) (p), (unsigned int) (n))
#define	calloc(n,s)	CmCalloc((unsigned int) (n), (unsigned int) (s))
#define	free(p)		CmFree((char *) (p))


/*
 * Routines to allocate and free memory that can all be freed.
 */
extern	char *	CmAlloc(unsigned int);
extern	char *	CmRealloc(char *, unsigned int);
extern	char *	CmCalloc(unsigned int, unsigned int);
extern	void	CmFree(char *);
extern	void	CmReset(void);


/*
 * Routines that call the actual memory allocator routines.
 */
extern	char *	r_malloc(unsigned int);
extern	char *	r_realloc(char *, unsigned int);
extern	char *	r_calloc(unsigned int, unsigned int);
extern	void	r_free(char *);

#endif

/* END CODE */
