/*
 * Copyright (c) 2000 David I. Bell
 * Permission is granted to use, distribute, or modify this source,
 * provided that this copyright notice remains intact.
 *
 * Merge differences from two divergent edits.
 */
#ifndef	FMERGE_H
#define	FMERGE_H

#include "bool.h"


/*
 * Global data for merging.
 */
typedef struct
{
	/*
	 * Input arguments.
	 */
	BOOL	ignoreFlag;		/* ignore conflicts */
	long	failCount;		/* conflicts to allow */
	long	unchangeCount;		/* unchanged lines to display */

	/*
	 * Output arguments.
	 */
	long	conflicts;		/* number of conflicts */
} FMERGE_DATA;


extern	FMERGE_DATA	fm;


/*
 * Global routines.
 */
extern	void	Fmerge(const char *, const char *, const char *);
extern	void	ConvertConflicts(const char *, const char *);
extern	void	DumpMergedFile(const char *);
extern	void	DumpConflicts(const char *);

#endif

/* END CODE */
